Skip to main content
GET
/
user
/
assistants
/
transcriber-providers
Get transcriber providers
curl --request GET \
  --url https://repforce.ai/api/user/assistants/transcriber-providers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://repforce.ai/api/user/assistants/transcriber-providers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://repforce.ai/api/user/assistants/transcriber-providers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": 1,
    "name": "Deepgram",
    "code": "deepgram"
  },
  {
    "id": 2,
    "name": "Azure",
    "code": "azure"
  },
  {
    "id": 3,
    "name": "Gladia",
    "code": "gladia"
  }
]
This endpoint returns a list of available transcriber providers that can be used when creating or updating assistants. Use the returned id as transcriber_provider_id when configuring an assistant.

Query Parameters

language_id
integer
Filter providers by language support. Only returns providers that support the given language. Use the Get Languages endpoint to get available language IDs.

Response fields

data
array
[
  {
    "id": 1,
    "name": "Deepgram",
    "code": "deepgram"
  },
  {
    "id": 2,
    "name": "Azure",
    "code": "azure"
  },
  {
    "id": 3,
    "name": "Gladia",
    "code": "gladia"
  }
]

Notes

  • If no language_id filter is provided, all providers are returned
  • Not all providers support all languages — use the language_id filter to get compatible providers
  • Transcriber providers are only relevant for pipeline mode (multimodal and dualplex modes handle STT internally)
  • If you don’t set transcriber_provider_id when creating an assistant, the language’s default provider is used